
spring:
  config:
    activate:
      on-profile:
      - integration
  datasource:
    name: orderDataSource
    type: com.alibaba.druid.pool.DruidDataSource
    driver-class-name: com.mysql.cj.jdbc.Driver
    url: ${INTEGRATION_DB_URL}
    username: ${INTEGRATION_DB_USER}
    password: ${INTEGRATION_DB_PASSWORD}
    druid:
      max-active: 20
      min-idle: 2
      initial-size: 2
      validation-query: SELECT 1      
      
management:
  endpoints:
    web:
      exposure:
        include:
          - "*"
  endpoint:
    shutdown:
      enabled: true